import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.number().int().optional(),
  userId: z.number().int(),
  npiNumber: z.string(),
  providerName: z.string(),
  sortOrder: z.number().int().optional(),
  createdAt: z.coerce.date().optional()
}).strict();
export const NpiProviderCreateManyInputObjectSchema: z.ZodType<Prisma.NpiProviderCreateManyInput> = makeSchema() as unknown as z.ZodType<Prisma.NpiProviderCreateManyInput>;
export const NpiProviderCreateManyInputObjectZodSchema = makeSchema();
